Skip to content
Start here

Stats

aisearch.instances.stats(strid, InstanceStatsParams**kwargs) -> InstanceStatsResponse
GET/accounts/{account_id}/ai-search/instances/{id}/stats

Retrieves usage statistics for AI Search instances.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
ReturnsExpand Collapse
class InstanceStatsResponse:
completed: Optional[int]
error: Optional[int]
file_embed_errors: Optional[Dict[str, object]]
index_source_errors: Optional[Dict[str, object]]
last_activity: Optional[datetime]
formatdate-time
outdated: Optional[int]
queued: Optional[int]
running: Optional[int]
skipped: Optional[int]

Stats

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.aisearch.instances.stats(
    id="my-ai-search",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
)
print(response.completed)
{
  "result": {
    "completed": 0,
    "error": 0,
    "file_embed_errors": {
      "foo": "bar"
    },
    "index_source_errors": {
      "foo": "bar"
    },
    "last_activity": "2019-12-27T18:11:19.117Z",
    "outdated": 0,
    "queued": 0,
    "running": 0,
    "skipped": 0
  },
  "success": true
}
Returns Examples
{
  "result": {
    "completed": 0,
    "error": 0,
    "file_embed_errors": {
      "foo": "bar"
    },
    "index_source_errors": {
      "foo": "bar"
    },
    "last_activity": "2019-12-27T18:11:19.117Z",
    "outdated": 0,
    "queued": 0,
    "running": 0,
    "skipped": 0
  },
  "success": true
}